package jp.sourceforge.glad.reflect;

import java.lang.reflect.Field;

public class ClassAdapter<T> {

    final Class<T> clazz;

    public ClassAdapter(Class<T> clazz) {
        this.clazz = clazz;
    }

    public Field getField(String name) {
        try {
            return clazz.getField(name);
        } catch (NoSuchFieldException e) {
            throw new NoSuchFieldRuntimeException(e);
        }
    }

}
